import { X as t, ai as C, dj as z, F as i, a9 as R, dk as k, dm as m, dl as v, dt as H, aw as O, ds as b } from "./ac78e25a.js";
import { useContext as p } from "react";
import "react-dom";
const W = (o) => O`
    border-color: ${o.border};
    border-width: ${o.borderWidth};
    border-radius: ${o.radius};
    border-style: ${o.borderStyle};
    overflow: hidden;
    padding: ${o.padding};
    ${o.background && `background-color: ${o.background};`}
    ${o.backgroundImage && `background-image: url(${o.backgroundImage});`}
    ${o.backgroundImageRepeat && `background-repeat: ${o.backgroundImageRepeat};`}
    ${o.backgroundImageSize && `background-size: ${o.backgroundImageSize};`}
    ${o.backgroundImagePosition && `background-position: ${o.backgroundImagePosition};`}
    ${o.backgroundImageOrigin && `background-origin: ${o.backgroundImageOrigin};`}
  `, F = t.div`
  display: flex;
  flex-flow: column;
  height: 100%;
  border: 1px solid #d7d9e0;
  border-radius: 4px;
  ${(o) => o.$style && W(o.$style)}
  ${(o) => o.$animationStyle && o.$animationStyle}
`, G = t(b)`
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$headerBackgroundImage && `background-image: url(${o.$headerBackgroundImage});`}
  ${(o) => o.$headerBackgroundImageRepeat && `background-repeat: ${o.$headerBackgroundImageRepeat};`}
  ${(o) => o.$headerBackgroundImageSize && `background-size: ${o.$headerBackgroundImageSize};`}
  ${(o) => o.$headerBackgroundImagePosition && `background-position: ${o.$headerBackgroundImagePosition};`}
  ${(o) => o.$headerBackgroundImageOrigin && `background-origin: ${o.$headerBackgroundImageOrigin};`}
`, j = t(b)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  flex: 1;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$backgroundImage && `background-image: url(${o.$backgroundImage});`}
  ${(o) => o.$backgroundImageRepeat && `background-repeat: ${o.$backgroundImageRepeat};`}
  ${(o) => o.$backgroundImageSize && `background-size: ${o.$backgroundImageSize};`}
  ${(o) => o.$backgroundImagePosition && `background-position: ${o.$backgroundImagePosition};`}
  ${(o) => o.$backgroundImageOrigin && `background-origin: ${o.$backgroundImageOrigin};`}
`, M = t(b)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$footerBackgroundImage && `background-image: url(${o.$footerBackgroundImage});`}
  ${(o) => o.$footerBackgroundImageRepeat && `background-repeat: ${o.$footerBackgroundImageRepeat};`}
  ${(o) => o.$footerBackgroundImageSize && `background-size: ${o.$footerBackgroundImageSize};`}
  ${(o) => o.$footerBackgroundImagePosition && `background-position: ${o.$footerBackgroundImagePosition};`}
  ${(o) => o.$footerBackgroundImageOrigin && `background-origin: ${o.$footerBackgroundImageOrigin};`}
`;
function X(o) {
  const {
    container: d,
    animationStyle: I
  } = o, {
    showHeader: g,
    showFooter: $
  } = d, c = d.showBody || !g && !$, h = d.scrollbars, {
    items: s,
    ...B
  } = d.header, {
    items: P,
    ...l
  } = d.body[0].children.view.getView(), {
    items: f,
    ...w
  } = d.footer, {
    style: n,
    headerStyle: r,
    bodyStyle: a,
    footerStyle: e
  } = d, x = p(C).getAppSettings().maxWidth, u = z(x) ? 8 : 0;
  return /* @__PURE__ */ i("div", {
    style: {
      padding: n.margin,
      height: "100%"
    },
    children: /* @__PURE__ */ R(F, {
      $style: n,
      $animationStyle: I,
      children: [g && /* @__PURE__ */ i(k.Provider, {
        value: r.headerBackground,
        children: /* @__PURE__ */ i(G, {
          ...B,
          items: m(s),
          autoHeight: !0,
          emptyRows: 5,
          minHeight: "46px",
          containerPadding: [u, 3],
          showName: {
            bottom: c || $ ? 20 : 0
          },
          $backgroundColor: (r == null ? void 0 : r.headerBackground) || "transparent",
          $headerBackgroundImage: r == null ? void 0 : r.headerBackgroundImage,
          $headerBackgroundImageRepeat: r == null ? void 0 : r.headerBackgroundImageRepeat,
          $headerBackgroundImageSize: r == null ? void 0 : r.headerBackgroundImageSize,
          $headerBackgroundImagePosition: r == null ? void 0 : r.headerBackgroundImagePosition,
          $headerBackgroundImageOrigin: r == null ? void 0 : r.headerBackgroundImageOrigin,
          style: {
            padding: r.containerHeaderPadding
          }
        })
      }), c && /* @__PURE__ */ i(k.Provider, {
        value: a.background,
        children: /* @__PURE__ */ i(v, {
          style: {
            height: d.autoHeight ? "auto" : "100%",
            margin: "0px",
            padding: "0px"
          },
          hideScrollbar: !h,
          children: /* @__PURE__ */ i(j, {
            $showBorder: g,
            ...l,
            items: m(P),
            autoHeight: d.autoHeight,
            emptyRows: 14,
            minHeight: g ? "143px" : "142px",
            containerPadding: g && $ || g ? [u, 11.5] : [u, 11],
            hintPlaceholder: o.hintPlaceholder ?? H,
            $backgroundColor: (a == null ? void 0 : a.background) || "transparent",
            $borderColor: n == null ? void 0 : n.border,
            $borderWidth: n == null ? void 0 : n.borderWidth,
            $backgroundImage: a == null ? void 0 : a.backgroundImage,
            $backgroundImageRepeat: a == null ? void 0 : a.backgroundImageRepeat,
            $backgroundImageSize: a == null ? void 0 : a.backgroundImageSize,
            $backgroundImagePosition: a == null ? void 0 : a.backgroundImagePosition,
            $backgroundImageOrigin: a == null ? void 0 : a.backgroundImageOrigin,
            style: {
              padding: a.containerBodyPadding
            }
          })
        })
      }), $ && /* @__PURE__ */ i(k.Provider, {
        value: e.footerBackground,
        children: /* @__PURE__ */ i(M, {
          $showBorder: g || c,
          ...w,
          items: m(f),
          autoHeight: !0,
          emptyRows: 5,
          minHeight: c ? "47px" : "46px",
          containerPadding: c || g ? [u, 3.5] : [u, 3],
          showName: {
            top: g || c ? 20 : 0
          },
          $backgroundColor: (e == null ? void 0 : e.footerBackground) || "transparent",
          $footerBackgroundImage: e == null ? void 0 : e.footerBackgroundImage,
          $footerBackgroundImageRepeat: e == null ? void 0 : e.footerBackgroundImageRepeat,
          $footerBackgroundImageSize: e == null ? void 0 : e.footerBackgroundImageSize,
          $footerBackgroundImagePosition: e == null ? void 0 : e.footerBackgroundImagePosition,
          $footerBackgroundImageOrigin: e == null ? void 0 : e.footerBackgroundImageOrigin,
          $borderColor: n == null ? void 0 : n.border,
          $borderWidth: n == null ? void 0 : n.borderWidth,
          style: {
            padding: e.containerFooterPadding
          }
        })
      })]
    })
  });
}
export {
  X as TriContainer
};
