import { aw as n, cU as u, cV as c, X as k, cW as d, P as x, bJ as f, cX as $, cY as m, Z as a, c3 as s, c4 as g, a4 as v, N as C, cZ as p, aA as S, U as w, a8 as B, F as i, ad as W, af as F, Y as I, bM as V, c_ as D, bT as E } from "./ac78e25a.js";
import { SelectInputValidationChildren as R, useSelectInputValidate as M, selectDivRefMethods as y, SelectInputInvalidConfig as z } from "./006dfea2.js";
import { formDataChildren as O } from "./c2856b3d.js";
import { RadioLayoutOptions as T, RadioPropertyView as A } from "./bec8afb9.js";
import "react";
import { fixOldInputCompData as L } from "./bffd6f7f.js";
import "react-dom";
const N = (e) => n`
    .ant-checkbox-wrapper:not(.ant-checkbox-wrapper-disabled) {
      color: ${e.staticText};
      max-width: calc(100% - 8px);

      span:not(.ant-checkbox) {
        ${u};
      }

      .ant-checkbox .ant-checkbox-checked > .ant-checkbox-inner {
        border-color: ${e.checkedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }

      .ant-checkbox:not(.ant-checkbox-checked) > .ant-checkbox-inner{
        border-color: ${e.uncheckedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }

      .ant-checkbox-checked:not(.ant-checkbox-disabled) {
        .ant-checkbox-inner {
          background-color: ${e.checkedBackground};
          border-color: ${e.checkedBorder};
          border-width:${e.borderWidth ? e.borderWidth : "2px"};

          &::after {
            border-color: ${e.checked};
          }
        }

        &::after {
          border-color: ${e.checkedBorder};
          border-width:${e.borderWidth ? e.borderWidth : "2px"};
          border-radius: ${e.radius};
        }
      }
      
      .ant-checkbox-inner) {
        background-color: ${e.uncheckedBackground};
        border-radius: ${e.radius};
        border-color: ${e.checkedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }
    
      &:hover .ant-checkbox-inner, 
      .ant-checkbox:hover .ant-checkbox-inner,
      .ant-checkbox-input + ant-checkbox-inner {
        ${e.hoverBackground && `background-color: ${e.hoverBackground}`};
        ${e.hoverBackground && `border-color: ${e.hoverBackground}`};
      }

      

      &:hover .ant-checkbox-inner,
      .ant-checkbox:hover .ant-checkbox-inner,
      .ant-checkbox-input:focus + .ant-checkbox-inner {
        border-color: ${e.checkedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }

      &:hover .ant-checkbox-checked:not(.ant-checkbox-disabled) .ant-checkbox-inner {
        background-color: ${e.hoverBackground || c(e.checkedBackground, 0.1)};
        border-color: ${e.hoverBackground || c(e.checkedBackground, 0.1)};
      }
    }

    

    .ant-checkbox-group-item {
      font-family:${e.fontFamily};
      font-size:${e.textSize};
      font-weight:${e.textWeight};
      font-style:${e.fontStyle};
      text-transform:${e.textTransform};
      text-decoration:${e.textDecoration};
    }
    .ant-checkbox-wrapper {
      padding: ${e.padding};
      .ant-checkbox-inner,
      .ant-checkbox-checked::after {
        border-radius: ${e.radius};
      }
    }
  `, P = k(D)`
  min-height: 32px;
  ${(e) => e.$style && N(e.$style)}
  ${(e) => {
  if (e.$layout === "horizontal")
    return n`
        display: flex;
        align-items: center;
        flex-wrap: wrap;
      `;
  if (e.$layout === "vertical")
    return n`
        display: flex;
        flex-direction: column;
      `;
  if (e.$layout === "auto_columns")
    return n`
        break-inside: avoid;
        columns: 160px;
      `;
}}
`;
let t = function() {
  const e = {
    defaultValue: d("defaultValue"),
    value: d("value"),
    label: x,
    disabled: f,
    onEvent: $,
    options: m,
    style: a(s, "style"),
    labelStyle: a(g.filter((o) => ["accent", "validate"].includes(o.name) === !1), "labelStyle"),
    layout: v(T, "horizontal"),
    viewRef: C,
    inputFieldStyle: a(p, "inputFieldStyle"),
    animationStyle: a(S, "animationStyle"),
    ...R,
    ...O
  };
  return new w(e, (o, l) => {
    B(o, l);
    const [h, b] = M(o);
    return o.label({
      required: o.required,
      style: o.style,
      labelStyle: o.labelStyle,
      inputFieldStyle: o.inputFieldStyle,
      animationStyle: o.animationStyle,
      children: /* @__PURE__ */ i(P, {
        ref: o.viewRef,
        disabled: o.disabled,
        value: o.value.value,
        $style: o.inputFieldStyle,
        $layout: o.layout,
        options: o.options.filter((r) => r.value !== void 0 && !r.hidden).map((r) => ({
          label: r.label,
          value: r.value,
          disabled: r.disabled
        })),
        onChange: (r) => {
          b(r);
        }
      }),
      ...h
    });
  }).setPropertyViewFn((o) => /* @__PURE__ */ i(A, {
    ...o
  })).setExposeMethodConfigs(y).build();
}();
t = E(t, L);
const j = W(t, [new F("value", I("selectInput.valueDesc")), z, ...V]);
export {
  j as CheckboxComp,
  N as getStyle
};
