import { X as d, ai as C, dj as P, a9 as b, F as n, dk as c, dm as u, dt as v, dy as W, aw as z, ax as H, ay as R, ds as m } from "./ac78e25a.js";
import { useContext as S } from "react";
import "react-dom";
const F = (o) => z`
    border-radius: ${o.radius ? o.radius : "4px"};
    border: ${o.borderWidth ? o.borderWidth : "0px"} ${o.borderStyle ? o.borderStyle : "solid"} ${o.border};
    color: ${o.text};
    font-size: ${o.textSize} !important;
    font-weight: ${o.textWeight} !important;
    font-family: ${o.fontFamily} !important;
    font-style:${o.fontStyle} !important;
    text-transform:${o.textTransform} !important;
    text-decoration:${o.textDecoration} !important;
    background-color: ${o.background};
    .markdown-body a {
      color: ${o.links};
    }
    .markdown-body {
      margin: ${o.margin} !important;	
      padding: ${o.padding};	
      width: ${H(o.margin)};	
      // height: ${R(o.margin)};
      h1 {
        line-height: 1.5;
      }
      h5 {
        line-height: 2.2;
      }
    }

    .markdown-body {
      &,
      p,
      div,
      h1,
      h2,
      h3,
      h4,
      h5,
      h6 {
        color: ${o.text};
      }
      img,
      pre {
        background-color: ${o.background};
        code {
          color: #000000;
        }
      }
    }
  `, O = d.div`
${(o) => o.$animationStyle && o.$animationStyle}
  display: flex;
  flex-flow: column;
  height: 100%;
  border: ${(o) => o.$style.borderWidth} ${(o) => o.$style.borderStyle ? o.$style.borderStyle : "solid"} ${(o) => o.$style.border};
  border-radius: ${(o) => o.$style.radius};
  background-color: ${(o) => o.$style.background};
  padding: ${(o) => o.$style.padding};
  margin: ${(o) => o.$style.margin};
  ${(o) => o.$style.backgroundImage && `background-image: url(${o.$style.backgroundImage});`}
  ${(o) => o.$style.backgroundImageRepeat && `background-repeat: ${o.$style.backgroundImageRepeat};`}
  ${(o) => o.$style.backgroundImageSize && `background-size: ${o.$style.backgroundImageSize};`}
  ${(o) => o.$style.backgroundImagePosition && `background-position: ${o.$style.backgroundImagePosition};`}
  ${(o) => o.$style.backgroundImageOrigin && `background-origin: ${o.$style.backgroundImageOrigin};`}
`, p = d.div`
  ${(o) => o.$style && F(o.$style)}
  text-align: ${(o) => o.$horizontalAlignment};
  padding: ${(o) => o.$style.padding};
  margin: ${(o) => o.$style.margin};
`, G = d(m)`
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
`, T = d(m)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  flex: 1;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
`, A = d(m)`
  border-top: ${(o) => `${o.$showBorder ? o.$borderWidth : 0} solid ${o.$borderColor}`};
  overflow: visible;
  ${(o) => o.$backgroundColor && `background-color: ${o.$backgroundColor};`}
  border-radius: 0;
  ${(o) => o.$footerBackgroundImage && `background-image: url(${o.$footerBackgroundImage});`}
  ${(o) => o.$footerBackgroundImageRepeat && `background-repeat: ${o.$footerBackgroundImageRepeat};`}
  ${(o) => o.$footerBackgroundImageSize && `background-size: ${o.$footerBackgroundImageSize};`}
  ${(o) => o.$footerBackgroundImagePosition && `background-position: ${o.$footerBackgroundImagePosition};`}
  ${(o) => o.$footerBackgroundImageOrigin && `background-origin: ${o.$footerBackgroundImageOrigin};`}
`;
function E(o) {
  const {
    container: a,
    text: l,
    animationStyle: h
  } = o, {
    showHeader: t,
    showFooter: g
  } = a, k = a.showBody || !t && !g, {
    items: s,
    ...I
  } = a.header, {
    items: f,
    ...B
  } = a.body[0].children.view.getView(), {
    items: w,
    ...x
  } = a.footer, y = S(C).getAppSettings().maxWidth;
  P(y);
  const {
    style: e,
    headerStyle: i,
    bodyStyle: $,
    footerStyle: r
  } = a;
  return /* @__PURE__ */ b(O, {
    $style: e,
    $animationStyle: h,
    children: [t && /* @__PURE__ */ n(c.Provider, {
      value: a.style.background,
      children: /* @__PURE__ */ n(G, {
        ...I,
        items: u(s),
        autoHeight: !0,
        emptyRows: 5,
        minHeight: "46px",
        containerPadding: [0, 0],
        showName: {
          bottom: g ? 20 : 0
        },
        $backgroundColor: (i == null ? void 0 : i.headerBackground) || "transparent",
        style: {
          padding: i.containerHeaderPadding
        }
      })
    }), k && /* @__PURE__ */ n(c.Provider, {
      value: a.style.background,
      children: /* @__PURE__ */ b("div", {
        style: {
          overflowY: "scroll",
          background: `${a.style.background}`
        },
        children: [/* @__PURE__ */ n(T, {
          $showBorder: !1,
          ...B,
          items: u(f),
          autoHeight: a.autoHeight,
          emptyRows: 14,
          minHeight: t ? "143px" : "142px",
          containerPadding: [0, 0],
          hintPlaceholder: o.hintPlaceholder ?? v,
          $backgroundColor: ($ == null ? void 0 : $.background) || "transparent",
          $borderColor: e == null ? void 0 : e.border,
          $borderWidth: e == null ? void 0 : e.borderWidth,
          style: {
            float: `${o.float}`,
            width: `${o.float === "none" ? "100%" : `${o.width}%`}`,
            height: "100%",
            ...a.bodyStyle
          }
        }), /* @__PURE__ */ n(p, {
          $style: o.style,
          $horizontalAlignment: o.horizontalAlignment,
          children: /* @__PURE__ */ n("p", {
            children: o.type === "markdown" ? /* @__PURE__ */ n(W, {
              children: l.value
            }) : l.value
          })
        })]
      })
    }), g && /* @__PURE__ */ n(c.Provider, {
      value: a.style.background,
      children: /* @__PURE__ */ n(A, {
        $showBorder: t,
        ...x,
        items: u(w),
        autoHeight: !0,
        emptyRows: 5,
        minHeight: "48px",
        containerPadding: [0, 0],
        showName: {
          top: t ? 20 : 0
        },
        $backgroundColor: (r == null ? void 0 : r.footerBackground) || "transparent",
        $footerBackgroundImage: r == null ? void 0 : r.footerBackgroundImage,
        $footerBackgroundImageRepeat: r == null ? void 0 : r.footerBackgroundImageRepeat,
        $footerBackgroundImageSize: r == null ? void 0 : r.footerBackgroundImageSize,
        $footerBackgroundImagePosition: r == null ? void 0 : r.footerBackgroundImagePosition,
        $footerBackgroundImageOrigin: r == null ? void 0 : r.footerBackgroundImageOrigin,
        $borderColor: e == null ? void 0 : e.border,
        $borderWidth: e == null ? void 0 : e.borderWidth,
        style: {
          padding: r.containerFooterPadding
        }
      })
    })]
  });
}
export {
  E as TriContainer
};
