import { io as e } from "./ac78e25a.js";
import "react";
import "react-dom";
describe("NameGenerator", () => {
  it("generator from scratch should work well", () => {
    const t = new e();
    expect(t.genItemName("button")).toBe("button1"), expect(t.genItemName("button")).toBe("button2");
  }), it("generator from storage without typeSet should work well", () => {
    const t = new e().init(["button1", "button10", "_button0"]);
    expect(t.genItemName("button")).toBe("button11"), expect(t.genItemName("button")).toBe("button12");
  }), it("generator from storage with typeSet should work well", () => {
    const t = new e().init(["button1", "button10", "_button0"]);
    expect(t.genItemName("button")).toBe("button11"), expect(t.genItemName("button")).toBe("button12");
  });
});
