import { ColumnComp as g } from "./f7b09c8e.js";
import { J as a, dT as d, _ as c } from "./ac78e25a.js";
import { MockTableComp as w } from "./90580238.js";
import { TableComp as x } from "./d2e0e5ab.js";
import { O as f } from "./53cab823.js";
import "react";
import "./0c713140.js";
import "./dd587588.js";
import "./5e587e18.js";
import "./7b45926b.js";
import "react-dom";
import "./ae76ccdb.js";
import "./211058af.js";
import "./8007f9c1.js";
import "./3ee0ea03.js";
import "./1f88487c.js";
import "./006dfea2.js";
import "./c2856b3d.js";
import "./bec8afb9.js";
import "./bffd6f7f.js";
import "./1eb46b4a.js";
import "./6e20f83e.js";
import "./b261a3b6.js";
import "./dae516fa.js";
import "./6306fd46.js";
import "./a04fad99.js";
import "./babf3045.js";
import "./939439e2.js";
import "./abbb3077.js";
import "./6373d92f.js";
import "./9711e37a.js";
import "./2ae10fd2.js";
import "./964cfd21.js";
import "./881ff655.js";
import "./8ada96c0.js";
import "./66e1f5c5.js";
import "./65b13524.js";
import "./170c3df1.js";
import "./24cd18c9.js";
import "./33bfe8d4.js";
import "./5c0ba97f.js";
import "./1cf3869f.js";
import "./603756dc.js";
import "./96fdc96d.js";
import "./57b7cd81.js";
import "./351cc6f1.js";
test("test column", () => {
  const e = {
    title: "name"
    // editable: true, // TODO: change to boolean
  };
  let o = new g({
    value: e
  });
  o = a(o);
  const t = o.getView();
  expect(t.title).toEqual(e.title);
});
test("test column render", () => {
  const e = {
    render: {
      compType: "text",
      comp: {
        text: "{{currentRow.id}}"
      }
    }
    // editable: true, // TODO: change to boolean
  };
  let o = new g({
    value: e
  });
  o = a(o);
  const t = o.getView();
  expect(t.render({
    currentCell: null,
    currentIndex: null,
    currentRow: {
      id: "hello"
    },
    currentOriginalIndex: null
  }, "0").getView().view({}).props.normalView).toEqual("hello");
});
test("test table", async () => {
  const e = {
    data: JSON.stringify([{
      a: 1
    }]),
    columns: [{
      dataIndex: "a",
      hide: !0
    }, {
      title: "custom",
      dataIndex: "",
      isCustom: !0
    }]
  }, o = {
    query1: d({
      data: [{
        q: 1
      }]
    }),
    query2: d({
      data: [{
        q2: 2
      }]
    })
  };
  let t = new x({
    dispatch: (l) => {
      t = a(t.reduce(l), o);
    },
    value: e
  });
  t = a(t);
  let r = t.children.columns.getView();
  expect(r.length).toEqual(2), t = a(t.reduce(t.changeChildAction("data", '[{"a":1, "c":2, "d":3}]'))), await new Promise((l) => setTimeout(l, 20)), r = t.children.columns.getView(), expect(r.length).toEqual(4), expect(r[0].getView().dataIndex).toEqual("a"), expect(r[0].getView().hide).toBe(!0), expect(r[1].getView().title).toEqual("custom"), expect(r[2].getView().title).toEqual("c"), expect(r[3].getView().title).toEqual("d");
}, 1e3);
test("test mock table render", () => {
  let e = new w({});
  e = a(e);
});
test("test table data transform", () => {
  function e(i, m) {
    const p = m.exposingValues.displayData, {
      data: u
    } = m.getProps(), s = m.filterData;
    return expect(u.length).toEqual(3), expect(p.length).toEqual(i), expect(p.map((n) => c.omit(n, "custom"))).toEqual(c.map(s, (n) => c.omit(n, f))), {
      transformedData: s,
      data: u,
      displayData: p
    };
  }
  const o = {
    data: JSON.stringify([{
      id: 1,
      name: "gg"
    }, {
      id: 5,
      name: "gg2"
    }, {
      id: 3,
      name: "jjj"
    }]),
    columns: [{
      dataIndex: "id",
      isCustom: !1,
      sortable: !0,
      render: {
        compType: "text",
        comp: {
          text: "{{currentCell}}"
        }
      }
    }, {
      dataIndex: "name",
      isCustom: !1,
      render: {
        compType: "text",
        comp: {
          text: "{{currentCell}}"
        }
      }
    }, {
      title: "custom",
      dataIndex: "ealekfg",
      isCustom: !0,
      render: {
        compType: "image",
        comp: {
          src: "{{currentRow.id}}"
        }
      }
    }]
  };
  let t = new x({
    dispatch: (i) => {
      t = a(t.reduce(i));
    },
    value: o
  });
  t = a(t), t = a(t.reduce(t.changeChildAction("sort", [{
    column: "id",
    desc: !0
  }])));
  let {
    transformedData: r,
    data: l,
    displayData: h
  } = e(3, t);
  expect(r.map((i) => i.id)).toEqual([5, 3, 1]), t = a(t.reduce(t.changeChildAction("toolbar", {
    searchText: "gg"
  }))), e(2, t), t = a(t.reduce(t.changeChildAction("toolbar", {
    showFilter: !0,
    filter: {
      stackType: "and",
      filters: [{
        columnKey: "id",
        filterValue: "4",
        operator: "gt"
      }, {
        columnKey: "id",
        filterValue: "5",
        operator: "lte"
      }]
    }
  }))), e(1, t);
});
