import { e$ as a, f0 as n, aw as i, X as d, Z as s, f1 as c, bT as t, cQ as g, d9 as $, cS as f, da as p, bW as h } from "./ac78e25a.js";
import "react";
import "react-dom";
function m(r) {
  const o = r.background && a(r.background), e = r.background && n(r.background);
  return i`
    &&& {
      border-radius: ${r.radius};
      border-width:${r.borderWidth};
      margin: ${r.margin};
      padding: ${r.padding};
      rotate: ${r.rotation && r.rotation};
      &:not(:disabled) {
        --antd-wave-shadow-color: ${r.border};
        border-color: ${r.border};
        color: ${r.text};
        font-size: ${r.textSize};
        font-weight: ${r.textWeight};
        font-family: ${r.fontFamily};
        font-style: ${r.fontStyle};
        text-transform:${r.textTransform};
        text-decoration:${r.textDecoration};
        background-color: ${r.background};
        border-radius: ${r.radius};
        margin: ${r.margin};
        padding: ${r.padding};

        &:hover,
        &:focus {
          color: ${r.text};
          background-color: ${o};
          border-color: ${r.border === r.background ? o : r.border} !important;
        }
        &:active {
          color: ${r.text};
          background-color: ${e};
          border-color: ${r.border === r.background ? e : r.border} !important;
        }
      }
    }
  `;
}
const b = d(h)`
  ${(r) => r.$buttonStyle && m(r.$buttonStyle)}
  width: 100%;
  height: auto;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  gap: 6px; 
  span {
    overflow: hidden;
    text-overflow: ellipsis;
  }
`, u = d.div`
  // The button component is disabled but can respond to drag & select events
  ${(r) => r.disabled && `
    cursor: not-allowed;
    button:disabled {
      pointer-events: none;
    }
  `};
`;
function l(r) {
  return r && (r.hasOwnProperty("backgroundColor") || r.hasOwnProperty("borderColor") || r.hasOwnProperty("color")) ? {
    background: r.backgroundColor,
    border: r.borderColor,
    text: r.color
  } : r;
}
const x = s(c, "style"), C = t(x, l), B = g([$, f, p]);
export {
  b as Button100,
  u as ButtonCompWrapper,
  C as ButtonStyleControl,
  B as buttonRefMethods,
  m as getButtonStyle
};
