import { ip as e, iq as a } from "./ac78e25a.js";
import "react";
import "react-dom";
test("normalize npm package name", () => {
  expect(e("https://www.npmjs.com/package/some-package")).toBe("some-package"), expect(e("https://www.npmjs.org/package/some-package")).toBe("some-package"), expect(e("https://npmjs.com/package/some-package")).toBe("some-package"), expect(e("https://npmjs.org/package/some-package")).toBe("some-package"), expect(e("http://www.npmjs.com/package/some-package")).toBe("some-package"), expect(e("http://www.npmjs.org/package/some-package")).toBe("some-package"), expect(e("http://npmjs.com/package/some-package")).toBe("some-package"), expect(e("http://npmjs.org/package/some-package")).toBe("some-package");
});
test("validate npm plugin name", () => {
  expect(a("https://www.npmjs.com/package/some-package")).toBeTruthy(), expect(a("some-package")).toBeTruthy(), expect(a("example.com")).toBeTruthy(), expect(a("@npm/thingy")).toBeTruthy(), expect(a("crazy!")).toBeFalsy(), expect(a(".start-with-period")).toBeFalsy(), expect(a("@npm-zors/money!time.js")).toBeFalsy();
});
