import { X as d, S as j, w, a3 as N, dw as A, bT as F, Z as C, d$ as L, aA as R, Y as s, U as I, a8 as T, F as e, G as $, a9 as a, ak as B, aa as r, ab as l, e0 as D, ai as n, ac as k, ad as H, af as M, ae as G, am as K, ah as J } from "./ac78e25a.js";
import { useContext as o } from "react";
import { navListComp as X } from "./ba76365f.js";
import { a as Y } from "./9f979663.js";
import "react-dom";
const Z = d("div")`
${(t) => t.$animationStyle}
  height: 100%;
  border-radius: ${(t) => t.$borderRadius ? t.$borderRadius : "2px"};
  box-sizing: border-box;
  border: ${(t) => t.$borderWidth ? `${t.$borderWidth}` : "1px"} ${(t) => t.$borderStyle} ${(t) => t.$borderColor};
  background-color: ${(t) => t.$bgColor};
`, q = d("div")`
  // margin: 0 -16px;
  height: 100%;
  display: flex;
  justify-content: ${(t) => t.$justify ? "space-between" : "left"};
`, Q = d.div`
  height: 30px;
  line-height: 30px;
  padding: ${(t) => t.$padding ? t.$padding : "0 16px"};
  color: ${(t) => t.$active ? t.$activeColor : t.$color};
  font-weight: ${(t) => t.$textWeight ? t.$textWeight : 500};
  font-family:${(t) => t.$fontFamily ? t.$fontFamily : "sans-serif"};
  font-style:${(t) => t.$fontStyle ? t.$fontStyle : "normal"};
  font-size:${(t) => t.$textSize ? t.$textSize : "14px"};
  text-transform:${(t) => t.$textTransform ? t.$textTransform : ""};
  text-decoration:${(t) => t.$textDecoration ? t.$textDecoration : ""};
  margin:${(t) => t.$margin ? t.$margin : "0px"};
  
  &:hover {
    color: ${(t) => t.$activeColor};
    cursor: pointer;
  }

  .anticon {
    margin-left: 5px;
  }
`, _ = d.div`
  cursor: pointer;
  height: 30px;
  line-height: 0;
  margin-left: 16px;

  img {
    height: 100%;
  }
`, p = d.div`
  flex: 1;
  display: flex;
  flex-direction: row;
  justify-content: ${(t) => t.$align};
`, tt = d(K)`
  &.ant-dropdown-menu {
    min-width: 160px;
  }
`, et = [J];
function nt(t) {
  return t && (t.hasOwnProperty("accentColor") || t.hasOwnProperty("backgroundColor") || t.hasOwnProperty("borderColor") || t.hasOwnProperty("color")) ? {
    text: t.color,
    accent: t.accentColor,
    background: t.backgroundColor,
    border: t.borderColor
  } : t;
}
const ot = {
  logoUrl: j,
  logoEvent: w(N(et), [{
    name: "click"
  }]),
  horizontalAlignment: A(),
  style: F(C(L, "style"), nt),
  animationStyle: C(R, "animationStyle"),
  items: w(X(), [{
    label: s("menuItem") + " 1"
  }])
}, it = new I(ot, (t, V) => {
  T(t, V);
  const z = t.items, u = /* @__PURE__ */ e($, {
    children: z.map((E, b) => {
      const {
        hidden: U,
        label: W,
        items: g,
        active: O,
        onEvent: P
      } = E.getView();
      if (U)
        return null;
      const f = g.filter((i) => !i.children.hidden.getView()), x = [], m = [];
      f.forEach((i, y) => {
        const c = y + "";
        i.children.active.getView() && m.push(c), x.push({
          key: c,
          label: i.children.label.getView()
        });
      });
      const S = /* @__PURE__ */ a(Q, {
        $active: O || m.length > 0,
        $color: t.style.text,
        $activeColor: t.style.accent,
        $fontFamily: t.style.fontFamily,
        $fontStyle: t.style.fontStyle,
        $textWeight: t.style.textWeight,
        $textSize: t.style.textSize,
        $padding: t.style.padding,
        $textTransform: t.style.textTransform,
        $textDecoration: t.style.textDecoration,
        $margin: t.style.margin,
        onClick: () => P("click"),
        children: [W, g.length > 0 && /* @__PURE__ */ e(Y, {})]
      }, b);
      if (f.length > 0) {
        const i = /* @__PURE__ */ e(tt, {
          onClick: (y) => {
            var v;
            const {
              onEvent: c
            } = (v = g[Number(y.key)]) == null ? void 0 : v.getView();
            c("click");
          },
          selectedKeys: m,
          items: x
        });
        return /* @__PURE__ */ e(B, {
          dropdownRender: () => i,
          children: S
        }, b);
      }
      return S;
    })
  }), h = t.horizontalAlignment === "justify";
  return /* @__PURE__ */ e(Z, {
    $borderStyle: t.style.borderStyle,
    $animationStyle: t.animationStyle,
    $borderColor: t.style.border,
    $bgColor: t.style.background,
    $borderWidth: t.style.borderWidth,
    $borderRadius: t.style.radius,
    children: /* @__PURE__ */ a(q, {
      $justify: h,
      children: [t.logoUrl && /* @__PURE__ */ e(_, {
        onClick: () => t.logoEvent("click"),
        children: /* @__PURE__ */ e("img", {
          src: t.logoUrl,
          alt: "LOGO"
        })
      }), h ? u : /* @__PURE__ */ e(p, {
        $align: t.horizontalAlignment,
        children: u
      })]
    })
  });
}).setPropertyViewFn((t) => /* @__PURE__ */ a($, {
  children: [/* @__PURE__ */ e(r, {
    name: l.basic,
    children: D(t.items)
  }), (o(n).editorModeStatus === "logic" || o(n).editorModeStatus === "both") && /* @__PURE__ */ e(r, {
    name: l.interaction,
    children: k(t)
  }), (o(n).editorModeStatus === "layout" || o(n).editorModeStatus === "both") && /* @__PURE__ */ a(r, {
    name: l.layout,
    children: [t.horizontalAlignment.propertyView({
      label: s("navigation.horizontalAlignment"),
      radioButton: !0
    }), k(t)]
  }), (o(n).editorModeStatus === "logic" || o(n).editorModeStatus === "both") && /* @__PURE__ */ a(r, {
    name: l.advanced,
    children: [t.logoUrl.propertyView({
      label: s("navigation.logoURL"),
      tooltip: s("navigation.logoURLDesc")
    }), t.logoUrl.getView() && t.logoEvent.propertyView({
      inline: !0
    })]
  }), (o(n).editorModeStatus === "layout" || o(n).editorModeStatus === "both") && /* @__PURE__ */ a($, {
    children: [/* @__PURE__ */ e(r, {
      name: l.style,
      children: t.style.getPropertyView()
    }), /* @__PURE__ */ e(r, {
      name: l.animationStyle,
      hasTooltip: !0,
      children: t.animationStyle.getPropertyView()
    })]
  })]
})).build(), ct = H(it, [new M("logoUrl", s("navigation.logoURLDesc")), G, new M("items", s("navigation.itemsDesc"))]);
export {
  ct as NavComp
};
